
Figure - Bug #117725
【BSP】【DVT】【OTA】OTA升级后，APP 图标等没有更新成最新的图标设定
2023-04-28 15:26 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-04-28

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0094-0095

Resolution: FIXED Degrated: No

Severity: Critical Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-04

Test Type: ST Root cause: 编码问题

Description

前置条件

None

操作步骤：

1.设备烧写0094版本

2.通过中控升级到0095版本

3.重启后查看设备显示

预期结果：

设备功能、界面均更新为最新版本集成功能

实际结果：

升级0095版本后，app图标等未更新为最新的图标

History

#1 - 2023-04-28 15:28 - 移动测试一组_CDTS 刘强

- File 20230428-152806.jpg added

- File 20230428-152731.jpg added

#2 - 2023-04-28 15:50 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

#3 - 2023-05-02 15:30 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

197152 general/platform/frameworks/libs/syste

mui

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:update icon db versionTC-RID: 1201-0205301IssueID: TS-R-BUG-117725Change-Id: I135d5103e577660f065f749762c8e89c218ed21b

#4 - 2023-05-04 09:43 - CD APP-王营

- Status changed from New to RESOLVED

- Assignee changed from CD APP-王营 to 移动测试一组_CDTS 刘强

2025-07-05 1/2



- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-04

- Root cause set to 编码问题

■ Current conclusion

问题已解决，待验证

■ My analysis

Launcher加载桌面icon使用了数据库缓存数据，需要清空缓存数据或者每次OTA升级时提高数据库版本号。

当前处理方案：升级数据库版本

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/libs/systemui/+/197152

#5 - 2023-05-04 18:46 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

0078-0097：不复现

0086-0097：不复现

0090-0097：不复现

验证通过

#6 - 2023-05-04 18:46 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

#7 - 2023-05-05 21:20 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

197685 general/platform/frameworks/libs/syste

mui

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_v8.5

wangxl0510@thundersoft.com

AF:Launcher:update icon db versionTC-RID: 1201-0205301IssueID: TS-R-BUG-117725Change-Id: I135d5103e577660f065f749762c8e89c218ed21b(cherry

picked from commit 85a8dee304fda52d5960aae520a3535cc2f3e0c1)

Files

20230428-152806.jpg 158 KB 2023-04-28 移动测试一组_CDTS 刘强

20230428-152731.jpg 84 KB 2023-04-28 移动测试一组_CDTS 刘强
